## hpgs_1-1-5.zip

=== doc/images/Makefile ===
%.eps: %.fig
	fig2dev -L eps $< $@ 

%.png: %.eps
	sh ./eps2png.sh $< $@

FIGURES=clipper.fig scanline_0.fig scanline_n.fig


EPSFILES=$(addsuffix .eps, $(basename $(FIGURES)))
PNGFILES=$(addsuffix .png, $(basename $(FIGURES)))

all: eps png

clean:
	rm -rf *~ *.bak $(EPSFILES) $(PNGFILES)

eps: $(EPSFILES)

png: $(PNGFILES)

=== src/po/Makefile ===
#
# i18n makefile
#
dep=no

include ../include.mak

ALLPOTSOURCES=$(addprefix ../, $(LIBCSOURCES) $(MAINCSOURCES))
POTFILE = hpgs.pot
POFILES=$(addprefix hpgs_, $(addsuffix .po, $(POLANGS)))

$(POTFILE): $(ALLPOTSOURCES)
	xgettext --keyword=hpgs_i18n --keyword=hpgs_i18n_n:1,2 -o $@ $^

hpgs_%.po: $(POTFILE)
	if test -f $@; then msgmerge -U $@ $<; else msginit -l $*.UTF-8 -i $< -o $@; fi

pot: $(POTFILE)

update-po: $(POFILES)

=== debian/changelog ===
hpgs (1.1.5-492) any; urgency=high

  * Created release tarball.
 
 -- Wolfgang Glas (ev-i Informationstechnologie GmbH) <wolfgang.glas@ev-i.at>  Wed, 11 Feb 2009 16:49:44 +0100

hpgs (1.1.0-3ubuntu1) feisty; urgency=low

  * Orignal debain package for ubunutu feisty.
	
 -- Wolfgang Glas <wolfgang.glas@ev-i.at>  Thu,  3 May 2007 17:35:49 +0200

=== debian/control ===
Source: hpgs
Priority: extra
Section: utils
Version: 1.1.5-492
Maintainer: Wolfgang Glas <wolfgang.glas@ev-i.at>
Build-Depends: cdbs, debhelper (>> 5), gettext, libpng12-dev, pkg-config

Package: hpgs
Architecture: any
Depends: ${shlibs:Depends}
Description: HPGS is an HPGL/2 interpreter, which renders HPGL/2 through a
 Postscript-like API. Currently, it can render to eps and png files.
 For rendering the scenery to pixel formats, a rendering engine has been coded,
 which draws vector graphics into pixel buffers.

Package: hpgs-dev
Section: devel
Architecture: any
Depends: libpng12-dev, hpgs (= ${Source-Version})
Description: This package contains files required to develop applications
 using the hpgs libraries.
